Subject: Re: Google Code: Support for Mercurial and Analysis of Git and Mercurial

From: "Shawn O. Pearce" <[email-masked]>
Date: Mon, 27 Apr 2009 13:31:33 -0700

Alex Blewitt <[email-masked]> wrote:
> Johannes Schindelin <Johannes.Schindelin <at> gmx.de> writes:
> > On Sun, 26 Apr 2009, Johannes Schindelin wrote:
> > > On Sun, 26 Apr 2009, Paolo Ciarrocchi wrote:
> > > > On 4/26/09, Jakub Narebski <jnareb <at> gmail.com> wrote:
> > > > 
> > > > > Perhaps it is time to restart work on _"smart" HTTP protocol_?
> > > > 
> > > > wasn't Shawn working on it?

Errh, uhm, yes, I had planned to work on it.  I failed to find
the time.  Gerrit Code Review and the necessary patches to JGit
have basically sucked up any time that I have, for anything.  Oh,
and so has "repo", the hack^W^W^W^tool Android uses to manage its
forrest of 140+ Git repositories.

> > > GIVE HIM A BREAK!
> > 
> > Sorry.  While it reflects exactly what I felt reading your mail, I should 
> > have phrased it like this:
> > 
> > 	Don't ask what Shawn can do for you.  Ask what you can do for 
> > 	Shawn.
> 
> It's something I raised a while ago with the eclipse.egit discussion; I'm happy
> to step forward and see  what I can do to improve the HTTP access, since I 
> think that's critical for adoption in organizations  who, through no fault of 
> the end user, are either not directly connected to the internet or have to go 
> via HTTP proxies due to firewall limitations.

I'm quite looking forward to this.  I'm thrilled to see another
person is interested in better HTTP support, and is trying to
work on it.

-- 
Shawn.